wxRuby Documentation Home

# Wx::MDIClientWindow

An MDI client window is a child of MDIParentFrame, and manages zero or
more MDIChildFrame objects.

## Derived from

Window

EvtHandler

Object

## Remarks

The client window is the area where MDI child windows exist. It doesn’t have to cover the whole
parent frame; other windows such as toolbars and a help window might coexist with it.
There can be scrollbars on a client window, which are controlled by the parent window style.

The MDIClientWindow class is usually adequate without further derivation, and it is created
automatically when the MDI parent frame is created. If the application needs to derive a new class,
the function MDIParentFrame#on_create_client must be
overridden in order to give an opportunity to use a different class of client window.

Under Windows 95, the client window will automatically have a sunken border style when
the active child is not maximized, and no border style when a child is maximized.

## See also

MDIChildFrame, MDIParentFrame, Frame

## Methods

- MDIClientWindow.new
- MDIClientWindow#create_client

### MDIClientWindow.new

MDIClientWindow.new(%(arg-type)MDIParentFrame% parent, Integer style = 0)

Constructor, creating the window.

#### Parameters

- parent The window parent.
- style The window style. Currently unused.

#### Remarks

The second style of constructor is called within MDIParentFrame#on_create_client.

#### See also

MDIParentFrame.new, MDIParentFrame#on_create_client

destructor()

Destructor.

### MDIClientWindow#create_client

Boolean create_client(%(arg-type)MDIParentFrame% parent, Integer style = 0)

Used in two-step frame construction. See MDIClientWindow.new for further details.

[This page automatically generated from the Textile source at 2023-06-09 00:45:35 +0000]